Loading...
Searching...
No Matches
raptor::search_arguments Struct Reference

## Public Member Functions

raptor::threshold::threshold_parameters | make_threshold_parameters () const noexcept
void | print_timings () const

## Public Attributes

std::vector< std::vector< std::string > > | bin_path {}
bool | cache_thresholds {false}
bool | compressed {false}
timer< concurrent::yes > | compute_minimiser_timer {}
uint8_t | errors {0}
double | fpr {0.05}
timer< concurrent::yes > | generate_results_timer {}
std::filesystem::path | index_file {}
bool | is_hibf {false}
timer< concurrent::yes > | load_index_timer {}
std::filesystem::path | out_file {"search.out"}
double | p_max {0.15}
uint8_t | parts {1u}
std::filesystem::path | query_file {}
timer< concurrent::yes > | query_file_io_timer {}
timer< concurrent::yes > | query_ibf_timer {}
uint64_t | query_length {}
timer< concurrent::yes > | query_length_timer {}
bool | quiet {false}
seqan3::shape | shape {seqan3::ungapped{20u}}
uint8_t | shape_size {shape.size()}
uint8_t | shape_weight {shape.count()}
double | tau {0.9999}
uint8_t | threads {1u}
double | threshold {std::numeric_limits<double>::quiet_NaN()}
timer< concurrent::yes > | wall_clock_timer {}
uint32_t | window_size {20u}
bool | write_time {false}

The documentation for this struct was generated from the following file:

- search_arguments.hpp